Переглянути джерело

examples/scheduler/schedulers.sh: add script file to test all schedulers on cholesky application

Nathalie Furmento 13 роки тому
батько
коміт
59a6478932
2 змінених файлів з 39 додано та 1 видалено
  1. 4 1
      examples/Makefile.am
  2. 35 0
      examples/scheduler/schedulers.sh

+ 4 - 1
examples/Makefile.am

@@ -56,7 +56,8 @@ EXTRA_DIST = 					\
 	filters/custom_mf/conversion_opencl.cl  \
 	filters/custom_mf/custom_opencl.cl \
 	interface/complex_kernels.cl \
-	reductions/dot_product_opencl_kernels.cl
+	reductions/dot_product_opencl_kernels.cl	\
+	scheduler/schedulers.sh
 
 CLEANFILES = 					\
 	gordon/null_kernel_gordon.spuelf
@@ -148,6 +149,8 @@ noinst_HEADERS = 				\
 
 STARPU_EXAMPLES	=
 TESTS		=	$(STARPU_EXAMPLES)
+TESTS		+=	scheduler/schedulers.sh
+
 
 if STARPU_HAVE_WINDOWS
 check_PROGRAMS	=	$(STARPU_EXAMPLES)

+ 35 - 0
examples/scheduler/schedulers.sh

@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# StarPU --- Runtime system for heterogeneous multicore architectures.
+#
+# Copyright (C) 2012  Centre National de la Recherche Scientifique
+#
+# StarPU is free software; you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2.1 of the License, or (at
+# your option) any later version.
+#
+# StarPU is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# See the GNU Lesser General Public License in COPYING.LGPL for more details.
+
+check_success()
+{
+    if [ $1 != 0 ] ; then
+	echo "failure"
+        exit $1
+    fi
+}
+
+SCHEDULERS=$(STARPU_SCHED="help" ./basic_examples/hello_world 2>&1 | awk '/->/ {print $1}')
+
+for sched in $SCHEDULERS
+do
+    echo "cholesky.$sched"
+    STARPU_SCHED=$sched ./cholesky/cholesky_tag
+    check_success $?
+done
+
+exit 1